Support

Manage Domain Settings

View as Markdown

Retrieve a list of Domains for the specified Shopper

GET
/v1/domains

Query Parameters

statuses?array<>

Only include results with status value in the specified set

statusGroups?array<>

Only include results with status value in any of the specified groups

limit?integer

Maximum number of domains to return

Range1 <= value <= 1000
marker?string

Marker Domain to use as the offset in results

includes?array<>

Optional details to be included in the response

modifiedDate?string

Only include results that have been modified since the specified date

Formatiso-datetime

Header Parameters

X-Shopper-Id?string

Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account.

Response Body

curl -X GET "https://api.godaddy.com/v1/domains"
[
  {
    "authCode": "string",
    "contactAdmin": {
      "addressMailing": {
        "address1": "string",
        "address2": "string",
        "city": "string",
        "country": "AC",
        "postalCode": "string",
        "state": "string"
      },
      "email": "user@example.com",
      "fax": "string",
      "jobTitle": "string",
      "nameFirst": "string",
      "nameLast": "string",
      "nameMiddle": "string",
      "organization": "string",
      "phone": "string"
    },
    "contactBilling": {
      "addressMailing": {
        "address1": "string",
        "address2": "string",
        "city": "string",
        "country": "AC",
        "postalCode": "string",
        "state": "string"
      },
      "email": "user@example.com",
      "fax": "string",
      "jobTitle": "string",
      "nameFirst": "string",
      "nameLast": "string",
      "nameMiddle": "string",
      "organization": "string",
      "phone": "string"
    },
    "contactRegistrant": {
      "addressMailing": {
        "address1": "string",
        "address2": "string",
        "city": "string",
        "country": "AC",
        "postalCode": "string",
        "state": "string"
      },
      "email": "user@example.com",
      "fax": "string",
      "jobTitle": "string",
      "nameFirst": "string",
      "nameLast": "string",
      "nameMiddle": "string",
      "organization": "string",
      "phone": "string"
    },
    "contactTech": {
      "addressMailing": {
        "address1": "string",
        "address2": "string",
        "city": "string",
        "country": "AC",
        "postalCode": "string",
        "state": "string"
      },
      "email": "user@example.com",
      "fax": "string",
      "jobTitle": "string",
      "nameFirst": "string",
      "nameLast": "string",
      "nameMiddle": "string",
      "organization": "string",
      "phone": "string"
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z",
    "transferAwayEligibleAt": "2019-08-24T14:15:22Z",
    "domain": "string",
    "domainId": 0.1,
    "expirationProtected": true,
    "expires": "2019-08-24T14:15:22Z",
    "exposeWhois": true,
    "holdRegistrar": true,
    "locked": true,
    "nameServers": [
      "string"
    ],
    "privacy": true,
    "registrarCreatedAt": "string",
    "renewAuto": true,
    "renewDeadline": "2019-08-24T14:15:22Z",
    "renewable": true,
    "status": "string",
    "transferProtected": true
  }
]
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Validate the request body using the Domain Contact Validation Schema for specified domains.

POST
/v1/domains/contacts/validate

Query Parameters

marketId?string

MarketId in which the request is being made, and for which responses should be localized

Default"en-US"
Formatbcp-47

Request Body

An instance document expected for domains contacts validation

Response Body

curl -X POST "https://api.godaddy.com/v1/domains/contacts/validate" \  -H "Content-Type: application/json" \  -d '{    "domains": [      "string"    ]  }'
Empty
Empty
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "domains": [
        "string"
      ],
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Retrieve details for the specified Domain

GET
/v1/domains/{domain}

Path Parameters

domain*string

Domain name whose details are to be retrieved

Header Parameters

X-Shopper-Id?string

Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account.

Response Body

curl -X GET "https://api.godaddy.com/v1/domains/string"
{
  "authCode": "string",
  "contactAdmin": {
    "addressMailing": {
      "address1": "string",
      "address2": "string",
      "city": "string",
      "country": "AC",
      "postalCode": "string",
      "state": "string"
    },
    "email": "user@example.com",
    "fax": "string",
    "jobTitle": "string",
    "nameFirst": "string",
    "nameLast": "string",
    "nameMiddle": "string",
    "organization": "string",
    "phone": "string"
  },
  "contactBilling": {
    "addressMailing": {
      "address1": "string",
      "address2": "string",
      "city": "string",
      "country": "AC",
      "postalCode": "string",
      "state": "string"
    },
    "email": "user@example.com",
    "fax": "string",
    "jobTitle": "string",
    "nameFirst": "string",
    "nameLast": "string",
    "nameMiddle": "string",
    "organization": "string",
    "phone": "string"
  },
  "contactRegistrant": {
    "addressMailing": {
      "address1": "string",
      "address2": "string",
      "city": "string",
      "country": "AC",
      "postalCode": "string",
      "state": "string"
    },
    "email": "user@example.com",
    "fax": "string",
    "jobTitle": "string",
    "nameFirst": "string",
    "nameLast": "string",
    "nameMiddle": "string",
    "organization": "string",
    "phone": "string"
  },
  "contactTech": {
    "addressMailing": {
      "address1": "string",
      "address2": "string",
      "city": "string",
      "country": "AC",
      "postalCode": "string",
      "state": "string"
    },
    "email": "user@example.com",
    "fax": "string",
    "jobTitle": "string",
    "nameFirst": "string",
    "nameLast": "string",
    "nameMiddle": "string",
    "organization": "string",
    "phone": "string"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z",
  "transferAwayEligibleAt": "2019-08-24T14:15:22Z",
  "domain": "string",
  "domainId": 0.1,
  "expirationProtected": true,
  "expires": "2019-08-24T14:15:22Z",
  "exposeRegistrantOrganization": true,
  "exposeWhois": true,
  "holdRegistrar": true,
  "locked": true,
  "nameServers": [
    "string"
  ],
  "privacy": true,
  "registrarCreatedAt": "string",
  "renewAuto": true,
  "renewDeadline": "2019-08-24T14:15:22Z",
  "status": "string",
  "subaccountId": "string",
  "transferProtected": true,
  "verifications": {
    "domainName": {
      "status": "APPROVED"
    },
    "realName": {
      "status": "APPROVED"
    }
  }
}
{
  "authCode": "string",
  "contactAdmin": {
    "addressMailing": {
      "address1": "string",
      "address2": "string",
      "city": "string",
      "country": "AC",
      "postalCode": "string",
      "state": "string"
    },
    "email": "user@example.com",
    "fax": "string",
    "jobTitle": "string",
    "nameFirst": "string",
    "nameLast": "string",
    "nameMiddle": "string",
    "organization": "string",
    "phone": "string"
  },
  "contactBilling": {
    "addressMailing": {
      "address1": "string",
      "address2": "string",
      "city": "string",
      "country": "AC",
      "postalCode": "string",
      "state": "string"
    },
    "email": "user@example.com",
    "fax": "string",
    "jobTitle": "string",
    "nameFirst": "string",
    "nameLast": "string",
    "nameMiddle": "string",
    "organization": "string",
    "phone": "string"
  },
  "contactRegistrant": {
    "addressMailing": {
      "address1": "string",
      "address2": "string",
      "city": "string",
      "country": "AC",
      "postalCode": "string",
      "state": "string"
    },
    "email": "user@example.com",
    "fax": "string",
    "jobTitle": "string",
    "nameFirst": "string",
    "nameLast": "string",
    "nameMiddle": "string",
    "organization": "string",
    "phone": "string"
  },
  "contactTech": {
    "addressMailing": {
      "address1": "string",
      "address2": "string",
      "city": "string",
      "country": "AC",
      "postalCode": "string",
      "state": "string"
    },
    "email": "user@example.com",
    "fax": "string",
    "jobTitle": "string",
    "nameFirst": "string",
    "nameLast": "string",
    "nameMiddle": "string",
    "organization": "string",
    "phone": "string"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z",
  "transferAwayEligibleAt": "2019-08-24T14:15:22Z",
  "domain": "string",
  "domainId": 0.1,
  "expirationProtected": true,
  "expires": "2019-08-24T14:15:22Z",
  "exposeRegistrantOrganization": true,
  "exposeWhois": true,
  "holdRegistrar": true,
  "locked": true,
  "nameServers": [
    "string"
  ],
  "privacy": true,
  "registrarCreatedAt": "string",
  "renewAuto": true,
  "renewDeadline": "2019-08-24T14:15:22Z",
  "status": "string",
  "subaccountId": "string",
  "transferProtected": true,
  "verifications": {
    "domainName": {
      "status": "APPROVED"
    },
    "realName": {
      "status": "APPROVED"
    }
  }
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Update details for the specified Domain

PATCH
/v1/domains/{domain}

Path Parameters

domain*string

Domain whose details are to be updated

Header Parameters

X-Shopper-Id?string

Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account.

Request Body

Changes to apply to existing Domain

Response Body

curl -X PATCH "https://api.godaddy.com/v1/domains/string" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Cancel a purchased domain

DELETE
/v1/domains/{domain}

Path Parameters

domain*string

Domain to cancel

Response Body

curl -X DELETE "https://api.godaddy.com/v1/domains/string"
Empty
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Update domain

PATCH
/v1/domains/{domain}/contacts

Path Parameters

domain*string

Domain whose Contacts are to be updated.

Header Parameters

X-Shopper-Id?string

Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account.

Request Body

Changes to apply to existing Contacts

Response Body

curl -X PATCH "https://api.godaddy.com/v1/domains/string/contacts" \  -H "Content-Type: application/json" \  -d '{    "contactRegistrant": {      "addressMailing": {        "address1": "string",        "city": "string",        "country": "AC",        "postalCode": "string",        "state": "string"      },      "email": "user@example.com",      "nameFirst": "string",      "nameLast": "string",      "phone": "string"    }  }'
Empty
Empty
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Re-send Contact E-mail Verification for specified Domain

POST
/v1/domains/{domain}/verifyRegistrantEmail

Path Parameters

domain*string

Domain whose Contact E-mail should be verified.

Header Parameters

X-Shopper-Id?string

Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account.

Response Body

curl -X POST "https://api.godaddy.com/v1/domains/string/verifyRegistrantEmail"
Empty
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Agent & Automation Notes

Scopesdomains.domain:read, domains.domain:create, domains.domain:delete, domains.domain:update, domains.contact:update, domains.dns:update, domains.transfer:execute
Rate limit60 req/min per credential
On failureGET operations are safe to retry. PUT/PATCH DNS are idempotent by shape. POST purchase is NOT idempotent — verify state before retrying.

Last updated on

How is this guide?